
.static-page {
  padding-top: 1.25rem;
  padding-bottom: var(--wp--preset--spacing--50);
  background: var(--wp--preset--color--white);

  & .breadcrumb-scroller {
    margin-bottom: 1.25rem;
    padding-bottom: 0.625rem;
    border-bottom: 0.0625rem solid var(--wp--preset--color--grey-300);
    color: var(--wp--preset--color--grey-500, #adb5bd);

    & li {
      margin: 0;
      padding: 0;
      color: var(--wp--preset--color--grey-500, #adb5bd);
      line-height: 1;
    }
  }

  & .breadcrumb {
    padding-bottom: var(--wp--preset--spacing--30);
  }

  & .breadcrumb-item + .breadcrumb-item::before {
    content: "»";
    margin: 0 0.3125rem;
    padding: 0;
  }

  /*& .grid-row {*/
  /*  margin-right: -0.625rem;*/
  /*  margin-left: -0.625rem;*/

  /*  @media (min-width: 48rem) {*/
  /*    margin-right: -0.9375rem;*/
  /*    margin-left: -0.9375rem;*/
  /*  }*/

  /*  &::before,*/
  /*  &::after {*/
  /*    content: " ";*/
  /*    display: table;*/
  /*  }*/

  /*  &::after {*/
  /*    clear: both;*/
  /*  }*/
  /*}*/

  /*& .col-10 {*/
  /*  width: 100%;*/

  /*  @media (min-width: 48rem) {*/
  /*    width: 83.33333333%;*/
  /*  }*/
  /*}*/

  /*& .offset-1 {*/
  /*  @media (min-width: 48rem) {*/
  /*    margin-left: 8.33333333%;*/
  /*  }*/
  /*}*/

  & h1 {
    margin-bottom: 1.625rem;
    color: var(--wp--preset--color--grey-900);
  }

  & h2 {
    margin-bottom: 1.25rem;
    color: var(--wp--preset--color--grey-900);
  }

  & p {
    margin-bottom: 1rem;
    line-height: var(--body--line-height, 1.5);
  }

  & table {
    margin: 0;
    margin-bottom: var(--wp--preset--spacing--50);
  }

  & th {
    vertical-align: top;
    line-height: 1;
    font-weight: normal;
    word-break: normal;
  }

  & td {
    vertical-align: top;
    line-height: 1;
    word-break: normal;
  }
}

form {
  & .form-item {
    margin: 0 0 0.625rem;

    @media (min-width: 48rem) {
      &.agreement-form & {
        width: 50%;
      }
    }
  }

  & label {
    display: block;
    position: relative;
    margin-bottom: 0.55rem;
    color: var(--wp--preset--color--grey-900);
    line-height: 1.2;
    font-size: 1rem;

    @media (min-width: 48rem) {
      font-size: 1.1rem;
    }
  }

  & input[type="date"],
  & input[type="text"],
  & input[type="search"],
  & input[type="email"],
  & input[type="password"],
  & textarea,
  & select {
    display: block;
    width: 100%;
    height: 2.125rem;
    padding: 0.375rem 0.75rem;
    border: 0.0625rem solid var(--wp--preset--color--grey-400, #ced4da);
    border-radius: 0;
    /*background-color: gray-lighter;*/
    background-image: none;
    box-shadow: inset 0 0.0625rem 0.0625rem rgba(0, 0, 0, 0.075);
    color: var(--wp--preset--color--grey-700, #495057);
    line-height: 1.42857143;
    font-size: 0.875rem;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;

    &:focus {
      outline-width: 0.125rem !important;
      outline-style: solid !important;
      outline-color: var(--wp--preset--color--brand-1, #025a02) !important;
      outline-offset: -0.125rem;
      border-radius: 0.1875rem;
    }
  }

  & input[type="search"] {
    width: auto;
  }

  & textarea {
    height: 7.125rem;
    margin: 0;
  }

  & .grippie {
    overflow: hidden;
    height: 0.5625rem;
    border: 1px solid var(--wp--preset--color--grey-300);
    border-top-width: 0;
    background: var(--wp--preset--color--grey-200) url(../img/grippie.png) no-repeat center 0.125rem;
    cursor: s-resize;
  }

  & select {
    &:focus {
      border-color: inherit;
      box-shadow: none;
    }

    &:focus-visible {
      outline: -webkit-focus-ring-color auto 0.0625rem;
    }
  }

  & input[type="checkbox"] {
    position: absolute;
    top: 0.125rem;
    left: 0;
    width: 0.8125rem;
    height: 0.8125rem;
    margin: 0.1875rem 0.1875rem 0.1875rem var(--wp--preset--spacing--20);
    margin-left: 0 !important;
    border-color: var(--wp--preset--color--grey-600, #7d8389);
    border-radius: 0.125rem;

    &:focus {
      border-color: inherit;
      box-shadow: none;
    }

    &:checked {
      border: 0;
    }
  }

  & .form-check {
    padding-left: 1.4rem;
  }

  & .form-actions {
    margin-top: 1rem;
    margin-bottom: 1rem;
  }

  & .wpcf7-submit,
  & button[type=submit],
  & input[type=submit] {
    display: inline-block;
    vertical-align: middle;
    margin: 0 0.3125rem 0.3125rem;
    padding: 0.7rem 1rem;
    border-width: 0;
    border-style: solid;
    /* border-color: var(--wp--preset--color--brand-1-800, #012401); /* todo: is this supposed to be a default? */
    border-color: var(--wp--preset--color--brand-3-650);
    border-radius: var(--button--border-radius);
    /* background-color: var(--wp--preset--color--brand-1, #025a02); /* todo: is this supposed to be a default? */
    background-color: var(--wp--preset--color--brand-3);
    color: var(--wp--preset--color--white);
    line-height: 1;
    text-align: center;
    text-transform: uppercase;
    white-space: nowrap;
    letter-spacing: 0.07rem;
    font-size: 1rem;
    font-weight: 300;
    transition: all 0.2s ease-out;
    cursor: pointer;
    user-select: none;

    &:hover,
    &:focus-visible {
      border-color: var(--wp--preset--color--brand-3-800);
      background: var(--wp--preset--color--brand-3-650);
    }
  }

  & .require label::after {
    content: "*";
    color: var(--wp--preset--color--red);
  }

  & .description {
    padding: 0.3125rem 0 0.625rem 0;
    color: var(--wp--preset--color--brand-3-700);
    line-height: 1.2;
    font-size: var(--wp--preset--font-size--small);
  }

  & .field-date-custom {
    display: flex;
    justify-content: space-between;

    & span {
      width: 100%;
      padding: 0 1rem;
    }

    & span:first-child {
      padding-left: 0;
    }

    & span:last-child {
      padding-right: 0;
    }
  }
}

.custom-warning-date {
  margin: 0.375rem 0;
  padding: 0.625rem;
  padding-left: 2.5rem;
  border: 0.0625rem solid;
  border-color: var(--wp--preset--color--message-error-border);
  background-color: #fef5f1;
  background-image: url(../img/message-24-error.png);
  background-repeat: no-repeat;
  background-position: 0.5rem 0.5rem;
  background-position-y: center;
  color: var(--wp--preset--color--message-error-text);
}

#catch-return-form .form-actions.date-validated input[type="submit"],
#river_report .form-actions.date-validated input[type="submit"] {
  display: none;
}

form .wpcf7-spinner {
  display: none;
}

form.submitting .wpcf7-spinner {
  display: block;
}

form .wpcf7-spinner::after {
  margin-top: -0.15625rem;
}

#catch-return-form .form-actions,
#river_report .form-actions, form .form-actions {
  position: relative;
}

#catch-return-form .form-actions.loading:before,
#river_report .form-actions.loading:before,
form .wpcf7-spinner::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 8rem;
  width: 2rem;
  height: 2rem;
  background-image: url(../img/loading.svg);
  background-repeat: no-repeat;
  background-size: 2rem;
  transform: translateY(-50%);
  /* display: none; */
}
